
From: Alan Cox <alan@redhat.com>

Type errors, just fixes a warning




 drivers/net/wan/cycx_drv.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/net/wan/cycx_drv.c~cycx-warning-fix drivers/net/wan/cycx_drv.c
--- 25/drivers/net/wan/cycx_drv.c~cycx-warning-fix	2003-12-19 19:19:16.000000000 -0800
+++ 25-akpm/drivers/net/wan/cycx_drv.c	2003-12-19 19:19:38.000000000 -0800
@@ -425,8 +425,8 @@ static int load_cyc2x(struct cycx_hw *hw
 	if (cksum != cfm->checksum) {
 		printk(KERN_ERR "%s:%s: firmware corrupted!\n",
 				modname, __FUNCTION__);
-		printk(KERN_ERR " cdsize = 0x%lx (expected 0x%lx)\n",
-				len - sizeof(struct cycx_firmware) - 1,
+		printk(KERN_ERR " cdsize = 0x%x (expected 0x%x)\n",
+				len - (int)sizeof(struct cycx_firmware) - 1,
 				cfm->info.codesize);
 		printk(KERN_ERR " chksum = 0x%x (expected 0x%x)\n",
 				cksum, cfm->checksum);

_
